#include "stdafx.h"
#include "tools.h"																		// CalcUVArea()


float CalcUVArea( float *pfX, float *pfY )
{
//m_fUVArea=(bx*cy - by*cx) + (ax*by - ay*bx) + (ay*cx - ax*cy) 

  float prod1=pfX[1]*pfY[2]-pfY[1]*pfX[2];
  float prod2=pfX[0]*pfY[1]-pfY[0]*pfX[1];
  float prod3=pfY[0]*pfX[2]-pfX[0]*pfY[2];

  return (prod1+prod2+prod3)/2.0f; 
}